Package com.sas.services.information.metadata

# Class PhysicalTableFilter

java.lang.Object
com.sas.services.information.Filter
com.sas.services.information.metadata.PhysicalTableFilter

All Implemented Interfaces:
  `FilterInterface`, `Serializable`

public class PhysicalTableFilter extends Filter implements FilterInterface

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sas.services.information.Filter

  `_component`

  ### Fields inherited from interface com.sas.services.information.FilterInterface

  `BASE_SCOPE, FILTERCOMPONENT_UNSUPPORTED, FLAG_OVERRIDE, ONELEVEL_SCOPE, PROTOCOL_DAV, PROTOCOL_HIBERNATE, PROTOCOL_IPOD, PROTOCOL_LDAP, PROTOCOL_OMI, SUBTREE_SCOPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhysicalTableFilter()`
  `PhysicalTableFilter(String key, int relation, String value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDAVBasicSearchString()`
  Get the filter in the form of a DAV basicsearch XML request.
  `String`
  `getDAVSQLString()`
  Get the filter in the form of a DAV SQL request.
  `String`
  `getLdapString()`
  `String`
  `getLibref()`
  `String`
  `getOMRType()`
  Get the OMR type.
  `String`
  `getXMLSelectString()`
  Get the filter in the form of an XMLSelect statement.
  `void`
  `setLibref(String libref)`

  ### Methods inherited from class com.sas.services.information.Filter

  `addProtocol, addSearchOption, component2JCRXPath, component2Select, getDAVBase, getDAVScope, getDAVType, getExplicitSearchString, getFilterComponent, getFilterString, getJCRType, getJCRXPathString, getName, getOMRFlags, getOMROption, getOMRRepository, getOMRSearchString, getOMRTemplate, getProtocols, getRdbmsTable, getSearchOptions, getType, getXPathString, removeProtocol, removeSearchOption, setDAVBase, setDAVScope, setExplicitSearchString, setFilterComponent, setName, setOMRFlags, setOMROption, setOMRRepository, setOMRTemplate, setProtocols, setRdbmsTable, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.sas.services.information.FilterInterface

  `addProtocol, addSearchOption, getDAVBase, getDAVScope, getDAVType, getExplicitSearchString, getFilterComponent, getFilterString, getJCRXPathString, getName, getOMRFlags, getOMROption, getOMRRepository, getOMRSearchString, getOMRTemplate, getProtocols, getRdbmsTable, getSearchOptions, getType, getXPathString, removeProtocol, removeSearchOption, setDAVBase, setDAVScope, setExplicitSearchString, setFilterComponent, setName, setOMRFlags, setOMROption, setOMRRepository, setOMRTemplate, setProtocols, setRdbmsTable, setType`

- ## Constructor Details

  - ### PhysicalTableFilter

    public PhysicalTableFilter()

  - ### PhysicalTableFilter

    public PhysicalTableFilter(String key, int relation, String value)

- ## Method Details

  - ### getOMRType

    public String getOMRType()
    Description copied from class: `Filter`
    Get the OMR type. Return the type by default. subclasses may override this to return a different string. This method is mostly for use by the OMIRepository class.

    Specified by:
      `getOMRType` in interface `FilterInterface`
    Overrides:
      `getOMRType` in class `Filter`
    Returns:
      The OMR specific type to search for.

  - ### setLibref

    public void setLibref(String libref)

  - ### getLibref

    public String getLibref()

  - ### getXMLSelectString

    public String getXMLSelectString()
    Get the filter in the form of an XMLSelect statement.

    Specified by:
      `getXMLSelectString` in interface `FilterInterface`
    Overrides:
      `getXMLSelectString` in class `Filter`
    Returns:
      An XMLSelect string to pass to OMR.

  - ### getDAVBasicSearchString

    public String getDAVBasicSearchString()
    Description copied from class: `Filter`
    Get the filter in the form of a DAV basicsearch XML request. This is described in the WebDAV SEARCH proposal.

    Specified by:
      `getDAVBasicSearchString` in interface `FilterInterface`
    Overrides:
      `getDAVBasicSearchString` in class `Filter`
    Returns:
      An XML basicsearch request to pass to a DAV server.

  - ### getDAVSQLString

    public String getDAVSQLString()
    Description copied from class: `Filter`
    Get the filter in the form of a DAV SQL request. This is aimed at the Microsoft servers - Internet Information Server, SharePoint Portal Server and Exchange server.

    Specified by:
      `getDAVSQLString` in interface `FilterInterface`
    Overrides:
      `getDAVSQLString` in class `Filter`
    Returns:
      An XML DAV SQL request to pass to a DAV server.

  - ### getLdapString

    public String getLdapString()